#include <bits/stdc++.h>
using namespace std;

long long n,m,a[1005][1005];

int main(){
  cin >> n >> m;
  for(int i = 1; i <= n; i++){
    for(int j = 1; j <= m; j++){
      cin >> a[i][j];
    }
  }
  cout << 0 << endl;
}